(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12112,        365]
NotebookOptionsPosition[     11184,        334]
NotebookOutlinePosition[     11529,        349]
CellTagsIndexPosition[     11486,        346]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell["\<\
Electric Field
For r > R :\
\>", "Text",
 CellChangeTimes->{{3.44189197040625*^9, 3.441891980140625*^9}, {
  3.6013747029329*^9, 3.6013747043837*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{
  RowBox[{"EQout", "=", 
   RowBox[{
    RowBox[{"4", "\[Pi]", " ", 
     SuperscriptBox["r", "2"], " ", 
     RowBox[{"Eout", "[", "r", "]"}]}], "\[Equal]", "Qtotal"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.441891888875*^9, 3.441891953375*^9}, {
  3.4418919998125*^9, 3.441892014453125*^9}, {3.441896062359375*^9, 
  3.441896062578125*^9}}],

Cell["\<\
Electric Field
For r < R :\
\>", "Text",
 CellChangeTimes->{{3.44189197040625*^9, 3.441891980140625*^9}, {
  3.44189207684375*^9, 3.441892081453125*^9}, {3.6013747099685*^9, 
  3.6013747112476997`*^9}},
 FontSize->24],

Cell[BoxData[
 RowBox[{
  RowBox[{"EQin", "=", 
   RowBox[{
    RowBox[{"4", "\[Pi]", " ", 
     SuperscriptBox["r", "2"], " ", 
     RowBox[{"Ein", "[", "r", "]"}]}], "\[Equal]", "Qin"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.44189199471875*^9, 3.441892067578125*^9}, {
  3.441896067765625*^9, 3.441896067953125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Qtotal", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"4", "\[Pi]", " ", 
      SuperscriptBox["R", "3"]}], "3"], "\[Rho]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Qin", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"4", "\[Pi]", " ", 
      SuperscriptBox["r", "3"]}], "3"], "\[Rho]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.441892089515625*^9, 3.44189215684375*^9}, 
   3.441895613921875*^9, 3.441895650828125*^9, {3.441895685265625*^9, 
   3.44189570121875*^9}}],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"EQout", ",", 
       RowBox[{"Eout", "[", "r", "]"}], ",", "r"}], "]"}], ",", 
     RowBox[{"Solve", "[", 
      RowBox[{"EQin", ",", 
       RowBox[{"Ein", "[", "r", "]"}], ",", "r"}], "]"}]}], "}"}], "//", 
   "Flatten"}]}]], "Input",
 CellChangeTimes->{{3.44189216996875*^9, 3.441892233109375*^9}, {
  3.441896080859375*^9, 3.441896088296875*^9}, {3.441896375828125*^9, 
  3.44189641896875*^9}, {3.441896650203125*^9, 3.441896654609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eField", "[", "r_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"r", "\[LessEqual]", "R"}], ",", 
      RowBox[{"Ein", "[", "r", "]"}], ",", 
      RowBox[{"Eout", "[", "r", "]"}]}], "]"}], "/.", "sol"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Rho]", "\[Rule]", "1"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.44189245371875*^9, 3.4418925650625*^9}, {
  3.441896670046875*^9, 3.441896673234375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"eField", "[", "r", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]], ",", "3"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\!\(\*
StyleBox[\"Distance\",
FontColor->RGBColor[0, 0, 1]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"Electric\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"Field\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.44189256978125*^9, 3.441892611671875*^9}, {
   3.441892679390625*^9, 3.441892726578125*^9}, {3.4418929005625*^9, 
   3.4418929590625*^9}, {3.441893244609375*^9, 3.44189330921875*^9}, {
   3.441893368125*^9, 3.44189337990625*^9}, 3.441893714234375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Red", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", ",", ".4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{"Inside", ",", 
        RowBox[{"{", 
         RowBox[{".5", ",", ".3"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{"Outside", ",", 
        RowBox[{"{", 
         RowBox[{"1.5", ",", ".3"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
     "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.441893383125*^9, 3.441893613953125*^9}, {
  3.441893644765625*^9, 3.441893934828125*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p1", ",", "p2"}], "]"}]], "Input",
 CellChangeTimes->{{3.44189372371875*^9, 3.44189373115625*^9}}],

Cell["", "PageBreak",
 PageBreakBelow->True],

Cell[TextData[{
 StyleBox["Electrical Potential\nfor r > R : V(r) = - ",
  FontSize->24,
  FontColor->GrayLevel[0]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["\[Integral]", "\[Infinity]", "r"], 
    RowBox[{
     OverscriptBox["E", "\[RightVector]"], ".", 
     OverscriptBox["dr", "\[RightVector]"]}]}], TraditionalForm]],
  FontSize->24],
 "\n",
 StyleBox["for r < R  : V(r) = V(R) - ",
  FontSize->24],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["\[Integral]", "R", "r"], 
    RowBox[{
     OverscriptBox["E", "\[RightVector]"], ".", 
     OverscriptBox["dr", "\[RightVector]"]}]}], TraditionalForm]],
  FontSize->24]
}], "Text",
 CellChangeTimes->{{3.441894663984375*^9, 3.44189471303125*^9}, {
  3.4418947705625*^9, 3.441894828734375*^9}, {3.44189486178125*^9, 
  3.441895006875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Vout", "[", "r_", "]"}], "=", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Eout", "[", "r", "]"}], "/.", "sol"}], ",", "r"}], "]"}]}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Rho]", "\[Rule]", "1"}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vin", "[", "r_", "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Vout", "[", "R", "]"}], "-", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Ein", "[", "r", "]"}], "/.", "sol"}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "R", ",", "r"}], "}"}]}], "]"}]}], ")"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Rho]", "\[Rule]", "1"}]}], "}"}]}]}]}], "Input",
 CellChangeTimes->{{3.441895290015625*^9, 3.441895428015625*^9}, {
   3.4418957550625*^9, 3.4418957709375*^9}, {3.441895843015625*^9, 
   3.441895877671875*^9}, {3.441896029203125*^9, 3.4418960304375*^9}, {
   3.4418966835*^9, 3.44189671996875*^9}, 3.441896790390625*^9, {
   3.441896829453125*^9, 3.4418968573125*^9}, {3.441896904265625*^9, 
   3.4418969188125*^9}, {3.44189700696875*^9, 3.44189701290625*^9}, 
   3.441902740984375*^9, 3.4419027974375*^9, {3.44190299209375*^9, 
   3.441903052953125*^9}, {3.44190313821875*^9, 3.44190313921875*^9}, {
   3.44190334575*^9, 3.44190340725*^9}, {3.441903439890625*^9, 
   3.441903545*^9}, {3.4419037956875*^9, 3.44190379865625*^9}, {
   3.4419040540625*^9, 3.4419040920625*^9}, {3.441904148640625*^9, 
   3.441904201859375*^9}, {3.441904253625*^9, 3.441904292515625*^9}, {
   3.441904403359375*^9, 3.4419044315625*^9}, {3.441904814625*^9, 
   3.441904823015625*^9}, {3.4419048629375*^9, 3.441904864515625*^9}, {
   3.44190491434375*^9, 3.4419049181875*^9}, {3.4422437655625*^9, 
   3.442243776609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"v", "[", "r_", "]"}], "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"r", "<", "R"}], ",", 
     RowBox[{"Vin", "[", "r", "]"}], ",", 
     RowBox[{"Vout", "[", "r", "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.44189578265625*^9, 3.4418958415*^9}, {
   3.441895895953125*^9, 3.441895944171875*^9}, 3.441903063828125*^9, 
   3.44190311065625*^9, 3.441904073671875*^9, 3.441904230296875*^9, 
   3.4419048124375*^9, {3.441904857015625*^9, 3.4419049254375*^9}, 
   3.6013747500761003`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"v", "[", "r", "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"R", "\[Rule]", "1"}], ",", 
         RowBox[{"\[Rho]", "\[Rule]", "1"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]], ",", "3"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", ".5"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<\!\(\*
StyleBox[\"Distance\",
FontColor->RGBColor[0, 0, 1]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"Electric\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"Potential\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4418959570625*^9, 3.4418960140625*^9}, {
   3.441903074609375*^9, 3.44190307725*^9}, {3.441903190046875*^9, 
   3.441903253984375*^9}, {3.441904169203125*^9, 3.44190417765625*^9}, 
   3.441904228234375*^9, {3.4419047813125*^9, 3.4419048351875*^9}, {
   3.442243802484375*^9, 3.442243835484375*^9}, {3.6013747823368998`*^9, 
   3.6013748041769*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p3", ",", "p2"}], "]"}]], "Input",
 CellChangeTimes->{{3.441904956890625*^9, 3.44190496634375*^9}, {
  3.442243842390625*^9, 3.4422438438125*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{800, 569},
WindowMargins->{{Automatic, 100}, {47, Automatic}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 73, 1, 31, "Input"],
Cell[621, 23, 175, 6, 71, "Text"],
Cell[799, 31, 371, 10, 31, "Input"],
Cell[1173, 43, 227, 7, 71, "Text"],
Cell[1403, 52, 321, 8, 31, "Input"],
Cell[1727, 62, 529, 16, 89, "Input"],
Cell[2259, 80, 564, 14, 31, "Input"],
Cell[2826, 96, 539, 15, 31, "Input"],
Cell[3368, 113, 905, 24, 33, "Input"],
Cell[4276, 139, 950, 27, 112, "Input"],
Cell[5229, 168, 146, 3, 31, "Input"],
Cell[5378, 173, 44, 1, 4, "PageBreak",
 PageBreakBelow->True],
Cell[5425, 176, 825, 26, 118, "Text"],
Cell[6253, 204, 1933, 44, 52, "Input"],
Cell[8189, 250, 552, 13, 31, "Input"],
Cell[8744, 265, 1427, 39, 55, "Input"],
Cell[10174, 306, 194, 4, 31, "Input"],
Cell[10371, 312, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
